APIDatabase management

List server databases

Returns a list of all databases for the specified server

Returns a list of all databases for the specified server

GET
/api/client/servers/{server}/databases

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server ID

Query Parameters

include?string

Include additional relationships (password)

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/string/databases"
{
  "object": "list",
  "data": [
    {
      "object": "server_database",
      "attributes": {
        "id": "string",
        "host": {
          "address": "string",
          "port": 0
        },
        "name": "string",
        "username": "string",
        "connections_from": "string",
        "max_connections": 0
      }
    }
  ]
}
Empty
Empty
Empty